> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ミュート

> ユーザーのミュートおよびミュート解除を行い、ミュート中のユーザーのリストを取得します

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Mutes エンドポイントを使用すると、ユーザーのミュートやミュート解除を行い、認証されたユーザーがミュートしているユーザーのリストを取得できます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="ミュート" icon="volume-xmark">
    ユーザーをミュートする
  </Card>

  <Card title="ミュート解除" icon="volume-high">
    ユーザーのミュートを解除する
  </Card>

  <Card title="ミュート中のユーザー" icon="list">
    ミュートしているユーザーのリストを取得する
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## エンドポイント
</div>

| Method | Endpoint                                                                         | Description    |
| :----- | :------------------------------------------------------------------------------- | :------------- |
| GET    | [`/2/users/:id/muting`](/ja/x-api/users/get-muting)                              | ミュート中のユーザーを取得  |
| POST   | [`/2/users/:id/muting`](/ja/x-api/users/mute-user)                               | ユーザーをミュートする    |
| DELETE | [`/2/users/:source_user_id/muting/:target_user_id`](/ja/x-api/users/unmute-user) | ユーザーのミュートを解除する |

***

<div id="example-get-muted-users">
  ## 例: ミュートしているユーザーを取得する
</div>

```bash theme={null}
curl "https://api.x.com/2/users/123456789/muting?\
user.fields=username,description" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-mute-a-user">
  ## 例: ユーザーをミュートする
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/muting" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "9876543210"}'
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ja/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) を使用して取得したユーザーアクセストークン
</Note>

<CardGroup cols={2}>
  <Card title="ミュート参照クイックスタート" icon="list" href="/ja/x-api/users/mutes/quickstart/mutes-lookup">
    ミュートしているユーザーを取得する
  </Card>

  <Card title="ミュート管理クイックスタート" icon="volume-xmark" href="/ja/x-api/users/mutes/quickstart/manage-mutes-quickstart">
    ユーザーをミュート／ミュート解除する
  </Card>

  <Card title="連携ガイド" icon="book" href="/ja/x-api/users/mutes/integrate">
    主要な概念とベストプラクティス
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/users/mutes-lookup">
    エンドポイントの完全なドキュメント
  </Card>
</CardGroup>
